Notifly
API ReferenceTopics

Create a topic

Creates a new topic if it does not exist, or updates an existing topic if it already exists. Use ?failIfExists=true to prevent updates.

POST
/v2/topics

Creates a new topic if it does not exist, or updates an existing topic if it already exists. Use ?failIfExists=true to prevent updates.

Authorization

secretKey
Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".

In: header

Query Parameters

failIfExists?boolean

If true, the request will fail if a topic with the same key already exists

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/topics" \  -H "Content-Type: application/json" \  -d '{    "key": "task:12345"  }'
{  "data": {    "_id": "64da692e9a94fb2e6449ad06",    "key": "product-updates",    "name": "Product Updates",    "createdAt": "2023-08-15T00:00:00.000Z",    "updatedAt": "2023-08-15T00:00:00.000Z"  }}